Subject: New Reply Received - Hi is this your company? I suspect it could be a hoax website conning people. https://www.amapq.com/...
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 22 Oct 2020 22:57:37 +0000

Hi Haedar Mohammad,  The customer has responded to the ticket.  Hi is this your company? I suspect it could be a hoax website conning people. https://www.amapq.com/...  Ticket comment <div>Thanks, i'm glad I didn't purchase from them, I thought their pushchairs seemed very cheap it was too good to be true. They are using your logo btw, i'm not sure if you can do anything to stop them.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1610656